#!/bin/sh
# tarot implements the rules of the tarot game
# Copyright (C) 2019  Vivien Kraus

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 3 of the License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

seed="$1"
version=$(cat ../dist/version)

for n_players in 3 4 5
do
    >&2 echo "Generating $seed for version $version, $n_players players"
    (tarot-deal -n $n_players -s $seed | tarot-mcts --generate -s $seed > $seed-${n_players}p.tarot-t \
	 && mv $seed-${n_players}p.tarot-t dataset/generated/mcts/$seed-${n_players}p.tarot \
	 && echo "no" > /tmp/all-mcts-${n_players}p-failed) \
	|| >&2 echo "It failed."
    (tarot-deal -n $n_players -s $seed | tarot-stacking --generate > $seed-${n_players}p.tarot-t \
	 && mv $seed-${n_players}p.tarot-t dataset/generated/stacking/$version-$seed-${n_players}p.tarot \
	 && echo "no" > /tmp/all-stacking-${n_players}p-failed) \
	|| >&2 echo "It failed."
    if [ "x$n_players" = "x5" ]
    then
	>&2 echo "Generating $seed for verision $version, 5 players with call"
	(tarot-deal -n 5 -c -s $seed | tarot-mcts --generate -s $seed > $seed-5pc.tarot-t \
	     && mv $seed-5pc.tarot-t dataset/generated/mcts/$seed-5pc.tarot \
	     && echo "no" > /tmp/all-mcts-5pc-failed) \
	    || >&2 echo "It failed."
	(tarot-deal -n 5 -c -s $seed | tarot-stacking --generate > $seed-5pc.tarot-t \
	     && mv $seed-5pc.tarot-t dataset/generated/stacking/$version-$seed-5pc.tarot \
	     && echo "no" > /tmp/all-stacking-5pc-failed) \
	    || >&2 echo "It failed."
    fi
done
