<?xml version="1.0" encoding="UTF-8"?>
<!-- tarot implements the rules of the tarot game
Copyright (C) 2019  Vivien Kraus

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, version 3 of the License.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:tarot="http://planete-kraus.eu/tarot"
		version="1.0">

  <xsl:template match="tarot:example">
    <html>
      <body>
	<xsl:apply-templates />
      </body>
    </html>
  </xsl:template>

  <xsl:template match="tarot:test">
    <h1><xsl:value-of select="@description" /></h1>
    <svg width="{@width}" height="{@height}"
	 viewbox="{-(@width div 2)} {-(@height div 2)} {@width} {@height}">
      <xsl:apply-templates select="tarot:card">
	<xsl:sort select="@z" />
      </xsl:apply-templates>
    </svg>
  </xsl:template>

  <xsl:template match="tarot:card">
    <g transform="translate({@x}, {-@y}) scale({@scale}) rotate({-@angle * 180 div 3.141592})">
      <xsl:comment>z = <xsl:value-of select="@z" />, index = <xsl:value-of select="@index" /></xsl:comment>
      <rect width="{../@card-width}" height="{../@card-height}"
	    x="{- ../@card-width div 2}" y="{- ../@card-height div 2}"
	    stroke="black" fill="yellow"/>
    </g>
  </xsl:template>
</xsl:stylesheet>
