#ifndef HAVE_CONFIG_H
#include <config.h>
#endif /* HAVE_CONFIG_H */

#include <tarot.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>

int
main ()
{
  tarot_set_datadir (DATADIR);
  if (tarot_init (LOCALEDIR) != 0)
    {
      fprintf (stderr, "Error: could not load libtarot.\n");
      return EXIT_FAILURE;
    }
  {
    TarotGame *game = tarot_game_alloc ();
    TarotGameEvent *event = NULL;
    (void) event;
    event = tarot_game_event_alloc_setup (5, 1);
    if (tarot_game_add_event (game, event) != TAROT_GAME_OK)
      {
        fprintf (stderr, "%s:%d: Error: could not add the event.", __FILE__, __LINE__);
        return EXIT_FAILURE;
      }
    tarot_game_event_free (event);
    {
      const TarotPlayer player = tarot_string_to_player_c ("P5");
      TarotCard cards[15];
      size_t i = 0;
      assert (player != ((TarotPlayer) (-1)));
      cards[i] = tarot_string_to_card_c ("AH");
      assert (cards[i] != ((TarotCard) (-1)));
      i++;
      cards[i] = tarot_string_to_card_c ("CH");
      assert (cards[i] != ((TarotCard) (-1)));
      i++;
      cards[i] = tarot_string_to_card_c ("8C");
      assert (cards[i] != ((TarotCard) (-1)));
      i++;
      cards[i] = tarot_string_to_card_c ("2D");
      assert (cards[i] != ((TarotCard) (-1)));
      i++;
      cards[i] = tarot_string_to_card_c ("9D");
      assert (cards[i] != ((TarotCard) (-1)));
      i++;
      cards[i] = tarot_string_to_card_c ("10D");
      assert (cards[i] != ((TarotCard) (-1)));
      i++;
      cards[i] = tarot_string_to_card_c ("3S");
      assert (cards[i] != ((TarotCard) (-1)));
      i++;
      cards[i] = tarot_string_to_card_c ("5S");
      assert (cards[i] != ((TarotCard) (-1)));
      i++;
      cards[i] = tarot_string_to_card_c ("8S");
      assert (cards[i] != ((TarotCard) (-1)));
      i++;
      cards[i] = tarot_string_to_card_c ("9S");
      assert (cards[i] != ((TarotCard) (-1)));
      i++;
      cards[i] = tarot_string_to_card_c ("3T");
      assert (cards[i] != ((TarotCard) (-1)));
      i++;
      cards[i] = tarot_string_to_card_c ("4T");
      assert (cards[i] != ((TarotCard) (-1)));
      i++;
      cards[i] = tarot_string_to_card_c ("7T");
      assert (cards[i] != ((TarotCard) (-1)));
      i++;
      cards[i] = tarot_string_to_card_c ("11T");
      assert (cards[i] != ((TarotCard) (-1)));
      i++;
      cards[i] = tarot_string_to_card_c ("13T");
      assert (cards[i] != ((TarotCard) (-1)));
      i++;
      event = tarot_game_event_alloc_deal (player, sizeof (cards) / sizeof (cards[0]), cards);
    }
    if (tarot_game_add_event (game, event) != TAROT_GAME_OK)
      {
        fprintf (stderr, "%s:%d: Error: could not add the event.", __FILE__, __LINE__);
        return EXIT_FAILURE;
      }
    tarot_game_event_free (event);
    event = tarot_game_event_alloc_bid (TAROT_DOUBLE_KEEP);
    if (tarot_game_add_event (game, event) != TAROT_GAME_OK)
      {
        fprintf (stderr, "%s:%d: Error: could not add the event.", __FILE__, __LINE__);
        return EXIT_FAILURE;
      }
    tarot_game_event_free (event);
    event = tarot_game_event_alloc_decl (0);
    if (tarot_game_add_event (game, event) != TAROT_GAME_OK)
      {
        fprintf (stderr, "%s:%d: Error: could not add the event.", __FILE__, __LINE__);
        return EXIT_FAILURE;
      }
    tarot_game_event_free (event);
    event = tarot_game_event_alloc_decl (0);
    if (tarot_game_add_event (game, event) != TAROT_GAME_OK)
      {
        fprintf (stderr, "%s:%d: Error: could not add the event.", __FILE__, __LINE__);
        return EXIT_FAILURE;
      }
    tarot_game_event_free (event);
    event = tarot_game_event_alloc_decl (0);
    if (tarot_game_add_event (game, event) != TAROT_GAME_OK)
      {
        fprintf (stderr, "%s:%d: Error: could not add the event.", __FILE__, __LINE__);
        return EXIT_FAILURE;
      }
    tarot_game_event_free (event);
    event = tarot_game_event_alloc_decl (0);
    if (tarot_game_add_event (game, event) != TAROT_GAME_OK)
      {
        fprintf (stderr, "%s:%d: Error: could not add the event.", __FILE__, __LINE__);
        return EXIT_FAILURE;
      }
    tarot_game_event_free (event);
    event = tarot_game_event_alloc_decl (0);
    if (tarot_game_add_event (game, event) != TAROT_GAME_OK)
      {
        fprintf (stderr, "%s:%d: Error: could not add the event.", __FILE__, __LINE__);
        return EXIT_FAILURE;
      }
    tarot_game_event_free (event);
    {
      TarotCard call = tarot_string_to_card_c ("KH");
      assert (call != ((TarotCard) (-1)));
      event = tarot_game_event_alloc_call (call);
    }
    if (tarot_game_add_event (game, event) != TAROT_GAME_OK)
      {
        fprintf (stderr, "%s:%d: Error: could not add the event.", __FILE__, __LINE__);
        return EXIT_FAILURE;
      }
    tarot_game_event_free (event);
    /* Now running the tests */
    tarot_game_free (game);
  }
  tarot_quit ();
  return EXIT_SUCCESS;
}